#include <bits/stdc++.h>
using namespace std;
ifstream f1("bai2_14.inp");
ofstream f2("bai2_14.out");
long long n,q;
void nt(long a,long i=2)
{

    if(a>1)
    {
        if(a%i==0){
            q++;
            nt(a/i,2);
        }
        else{
            nt(a,i+1);
        }
    }
}
int main()
{
    f1>>n;
    for(long j=n;j>=2;j--){
            nt(j,2);
        if(q==2){
            f2<<j;
            break;
        }
    q=0;
    }
    f1.close();
    f2.close();
}
